import request from '@/utils/axios'

// 隐患上报模块
// 请求新增表单数据信息的
export function getFormList(url, params) {
    return request({
        url: url,
        method: 'get',
        params
    })
}
// 隐患类型
export function postHdTyp(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}
// 隐患项目名称
export function postHdName(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}
// 隐患项目编号和隐患级别
export function postHdInventories(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}
// 风险源带出来的字段
export function postHdRiskSource(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}
// 隐患整改人接口
export function postHdShowPeople(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}


// 隐患上报保存接口
export function postHdReportAdd(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

// 隐患上报已退回列表
export function dangerReturn(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}
// 隐患上报已退回删除
export function dangerReturnDel(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

// 隐患上报已退回  回显所有数据接口
export function dangerReturnEcho(url, data) {
    return request({
        url: url,
        method: 'get',
        data
    })
}

// 隐患上报已退回  保存接口
export function dangerReturnAdd(url, data) {
    return request({
        url: url,
        method: 'get',
        data
    })
}


// 隐患确认模块
// 隐患确认列表
export function dangerConfirm(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}
// 隐患确认form表单列表数据
export function getConfirmFormList(url, params) {
    return request({
        url: url,
        method: 'get',
        params
    })
}
// 隐患确认提交
export function dangerConSub(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

// 隐患整改模块
// 隐患整改列表
export function dangerRect(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}
// 隐患整改 有退回原因的
export function dangerRectReturn(url, params) {
    return request({
        url: url,
        method: 'get',
        params
    })
}
// 隐患整改保存 没有退回原因
export function dangerRectAdd(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

// 整改复查模块
// 整改复查列表
export function dangerReview(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}
// 整改复查保存
export function dangerReviewAdd(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

// 隐患历史台账模块
export function dangerStandBook(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

// 隐患各种台账详情模块
export function standBookDetail(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

//重大隐患台账
export function majorList(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

//重大隐患添加
export function majorAdd(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

//隐患督办
export function superviseList(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

//经理督办
export function superviseSABlist(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

//经理督办添加
export function superviseAdd(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

//延期审批
export function delayList(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

//延期审批退回回显
export function delayReturn(url, data) {
    return request({
        url: url,
        method: 'get',
        data
    })
}

//延期审批添加
export function delayAdd(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

//延期审批添加
export function delayEdit(url, data) {
    return request({
        url: url,
        method: 'post',
        data
    })
}

// 隐患整改
export function list1(data) {
    return request({
        url:"/rectification/list1",
        method: 'post',
        data
    })
}

// 隐患整改已退回
export function list2(data) {
    return request({
        url:"/rectification/list2",
        method: 'post',
        data
    })
}

// 我的上报接口
export function myHDList(data){
    return request({
        url:'/hdreport/myHDList',
        method:'post',
        data
    })
}

export function deal(url,data){
    return request({
        url,
        method:'post',
        data
    })
}




/*接口对接1 START*/


/*接口对接1 END*/